<?php
class Authmodel extends CI_Model{

    public function __construct()
    {
      parent::__construct();
      $this->db1 = $this->load->database('db1',TRUE);
    }

    public function getDBName(){
      $dbName = $this->db1->database;
      return $dbName;
    }

    public function plotname()
    {
      $this->db1->select('Plots_ID, PlotName');
      $this->db1->from('Plots');
      $this->db1->order_by('PlotName','asc');
      $plotData = $this->db1->get();
      $plotNameA = array();
      foreach($plotData->result() as $row){
              $plotNameA[$row->Plots_ID] = $row->PlotName;
              }
      return $plotNameA;
    }

    public function validateLogin($username,$password)
    {
      $pass = $this->convertPassword($password);
      $this->db1->select('*');
      $this->db1->where('UserName',$username);
      $this->db1->where('Pwd',$pass);
      $loginQuery = $this->db1->get('Users');
      return $loginQuery;

      /*if($loginQuery->num_rows()!== 0)
      {
        return TRUE;
      }
      else
      {
        return FALSE;
      }*/
    }

    public function convertPassword($password)
    {
      $q = "Select PASSWORD('".$password."') as PASSWORD";
      $query = $this->db1->query($q);
      if ($query->num_rows() > 0)
      {
        $row = $query->row();

        $pass = $row->PASSWORD;
      }
      else
      {
        $pass = '';
      }
      return $pass;

    }

    public function getDatabaseName($plotID)
    {
      $this->db1->select('*');
      $this->db1->where('Plots_ID',$plotID);
      $query = $this->db1->get('Plots');
      $row = $query->row();
      $selectedPlotInfo['databaseName'] = $row->DatabaseName;
      $selectedPlotInfo['plotName'] = $row->PlotName;
      $selectedPlotInfo['databaseVersion'] = $row->DatabaseVersion;
      return $selectedPlotInfo;
    }
}
