<?php

class Downloadarchive extends CI_Controller{

    public function __construct()
    {
      parent::__construct();
      if($this->session->userdata('loggedin') !== '1')
      {
        redirect('main','location');
      }
      global $databaseName;
      $databaseName = $this->session->userdata('databaseName');
      $this->load->model('downloadmodel');

      set_time_limit(0);
      ini_set('memory_limit', '-1');
    }

    public function reportdownloads()
    {
       $formTableA = array(array(''),
                           array(anchor('/downloadarchive/plotdatadownload', 'Plot Data Download', array('title'=>'Plot Data Download', 'class'=>'forward'))),
                           array(anchor('/downloadarchive/taxonomydownload', 'Taxonomy Data Download', array('title'=>'Taxonomy Data Download', 'class'=>'forward'))),
                           );
       $data['formTable'] = $this->table->generate($formTableA);

       $data['formOpen'] = "";

       $data['title'] = 'CTFS/SIGEO Forest Plot Census Data';
       $data['contentTitle'] = 'Download Complete Data';
       $this->load->view('user/plotdataform',$data);
    }

    public function plotdatadownload()
    {
      $data['table'] = $this->_generateplotdatadownloadform();

      $data['title'] = 'CTFS/SIGEO Forest Plot Census Data';
      $data['contentTitle'] = 'Plot Data Download';
      $this->load->view('user/reportdownload',$data);
    }

    public function _generateplotdatadownloadform()
    {
      global $databaseName;
      $linkType = 'PlotData';
      $downloadlistquery = $this->downloadmodel->downloadlist($databaseName,$linkType);
      $downloadlisttotal = $downloadlistquery->num_rows();
      //generate table data
  	  $this->table->set_empty("&nbsp;");
      if($downloadlisttotal > 0)
      {
        $i = 0;
        $this->table->set_heading('No.','Title',"Version Date(mm-dd-yyyy)",'Download');
        foreach($downloadlistquery->result() as $downloadlistrow)
        {
          $downloadLink = anchor("../".$downloadlistrow->Path,'Download','class="downloadlink"');
          $this->table->add_row(++$i,$downloadlistrow->Title,$downloadlistrow->Date,$downloadLink);
        }
        $table = $this->table->generate();
      }
      else
      {
        $table = "<h3>No Downloads Available!!</h3>";
      }
      return $table;
    }

    public function taxonomydownload()
    {
      $data['table'] = $this->_generatetaxonomydownloadform();

      $data['title'] = 'CTFS/SIGEO Forest Plot Census Data';
      $data['contentTitle'] = 'Taxonomy Data Download';
      $this->load->view('user/reportdownload',$data);
    }

    public function _generatetaxonomydownloadform()
    {
      global $databaseName;
      $linkType = 'Taxonomy';
      $downloadlistquery = $this->downloadmodel->downloadlist($databaseName,$linkType);
      $downloadlisttotal = $downloadlistquery->num_rows();
      //generate table data
  	  $this->table->set_empty("&nbsp;");
      if($downloadlisttotal > 0)
      {
        $i = 0;
        $this->table->set_heading('No.','Title',"Version Date(mm-dd-yyyy)",'Download');
        foreach($downloadlistquery->result() as $downloadlistrow)
        {
          $downloadLink = anchor("../".$downloadlistrow->Path,'Download','class="downloadlink"');
          $this->table->add_row(++$i,$downloadlistrow->Title,$downloadlistrow->Date,$downloadLink);
        }
        $table = $this->table->generate();
      }
      else
      {
        $table = "<h3>No Downloads Available!!</h3>";
      }
      return $table;
    }
}
