<?php

class Adminmodel extends CI_Model{

    public function __construct()
    {
      parent::__construct();
      $this->adminmodel = $this->load->database('db1',TRUE);
    }

    public function insertPlot($insertArray)
    {
      $query = $this->adminmodel->insert('Plots',$insertArray);
      if($query == TRUE)
      {
        $status = 'success';
      }
      else
      {
        $status = 'fail';
      }
    }

    public function insertUser($insertArray)
    {
      $query = $this->adminmodel->insert('Users',$insertArray);
      if($query == TRUE)
      {
        $status = 'success';
      }
      else
      {
        $status = 'fail';
      }
      return $status;
    }

    public function insertLink($insertArray)
    {
      $query = $this->adminmodel->insert('DownloadLink',$insertArray);
      if($query == TRUE)
      {
        $status = 'success';
      }
      else
      {
        $status = 'fail';
      }
      return $status;
    }

    public function databaseNamesDD()
    {
      $this->adminmodel->select('*');
      $query = $this->adminmodel->get('Plots');
      $databaseNameDD['default'] = 'Select';
      if($query->num_rows() > 0)
      {
        foreach($query->result() as $row)
        {
          $databaseNameDD[$row->DatabaseName] = $row->DatabaseName;
        }
      }
      return $databaseNameDD;
    }

    public function convertPassword($password)
    {
      $q = "Select PASSWORD('".$password."') as PASSWORD";
      $query = $this->adminmodel->query($q);
      if ($query->num_rows() > 0)
      {
        $row = $query->row();

        $pass = $row->PASSWORD;
      }
      else
      {
        $pass = '';
      }
      return $pass;
    }

    public function viewPlots() {
      $this->adminmodel->select('*');
      $this->adminmodel->from('Plots');
      $this->adminmodel->order_by('PlotName');
      $query = $this->adminmodel->get();

      return $query;
    }

    public function deletePlot($plotID) {
        $this->adminmodel->where('Plots_ID', $plotID);
        $this->adminmodel->delete('Plots');
    }

    public function viewUsers() {
      $this->adminmodel->select('*');
      $this->adminmodel->from('Users');
      $this->adminmodel->order_by('DatabaseName');
      $query = $this->adminmodel->get();

      return $query;
    }

    public function deleteUser($userID) {
        $this->adminmodel->where('UserID', $userID);
        $this->adminmodel->delete('Users');
    }

    public function getUserByID($userID) {
      $this->adminmodel->select('UserName');
      $this->adminmodel->where('UserID',$userID);
      $query = $this->adminmodel->get('Users');

      $result = $query->row();
      return $result->UserName;
    }

    public function updateUser($userID,$updateArray) {
      $this->adminmodel->where('UserID',$userID);
      $query = $this->adminmodel->update('Users',$updateArray);
      if($query == TRUE)
      {
        $status = 'success';
      }
      else
      {
        $status = 'fail';
      }
      return $status;
    }

}
