<?php
class Appfilesmodel extends CI_Model{

    public function __construct()
    {
      parent::__construct();
      $database = $this->session->userdata('databaseName');
      $this->appfilesdb = $this->load->database($database,TRUE);
    }

    public function getPlotNameByID($plotID)
    {
      $this->appfilesdb->select('PlotName');
      $this->appfilesdb->where('PlotID',$plotID);
      $query = $this->appfilesdb->get('Site');
      $row = $query->row();
      $plotName = $row->PlotName;
      return $plotName;
    }

    public function getPersonnelNames()
    {
      $this->appfilesdb->select('PersonnelID,FirstName,LastName');
      $this->appfilesdb->from('Personnel');
      $this->appfilesdb->order_by('FirstName asc');
      $query = $this->appfilesdb->get();
      if($query->num_rows() > 0)
      {
        foreach($query->result() as $row)
        {
          $array[$row->PersonnelID] = $row->FirstName.'_'.$row->LastName;
        }
      }
      else
      {
        $array['error'] = 'Error: Personnel List Is Empty';
      }
      return $array;
    }

    public function getQuadratNames($plotID)
    {
      $this->appfilesdb->select('QuadratName');
      $this->appfilesdb->from('Quadrat');
      $this->appfilesdb->where('PlotID',$plotID);
      $query = $this->appfilesdb->get();
      if($query->num_rows() > 0)
      {
        foreach($query->result() as $row)
        {
          $array[] = $row->QuadratName;
        }
      }
      else
      {
        $array['error'] = 'Error: Quadrat List Is Empty';
      }
      return $array;
    }

    public function getSpeciesNames()
    {
      $this->appfilesdb->select('Mnemonic');
      $query = $this->appfilesdb->get('Species');

      if($query->num_rows() > 0)
      {
        foreach($query->result() as $row)
        {
          $array[] = $row->Mnemonic;
        }
      }
      else
      {
        $array['error'] = 'Error: Quadrat List Is Empty';
      }
      return $array;
    }

    public function getCensus($plotID)
    {
      $this->appfilesdb->select('PlotCensusNumber');
      $this->appfilesdb->from('Census');
      $this->appfilesdb->where('PlotID',$plotID);
      $query = $this->appfilesdb->get();
      if($query->num_rows() > 0)
      {
        foreach($query->result() as $row)
        {
          $array[] = $row->PlotCensusNumber;
        }
      }
      else
      {
        $array['error'] = 'Error: Census List Is Empty';
      }
      return $array;
    }
}
