<?php

class Dataviewmodel extends CI_Model{

    public function __construct()
    {
      parent::__construct();
      $database = $this->session->userdata('databaseName');
      $this->dataviewdb = $this->load->database($database,TRUE);
    }

    public function getPlotNameByID($plotID)
    {
      $this->dataviewdb->select('PlotName');
      $this->dataviewdb->where('PlotID',$plotID);
      $query = $this->dataviewdb->get('Site');
      $row = $query->row();
      $plotName = $row->PlotName;
      return $plotName;
    }

    public function tableNameList($like)
    {
      $columnName = "Tables_in_".$this->dataviewdb->database." (".$like.")";
      $query = "SHOW TABLES LIKE '".$like."'";
      $runQ = $this->dataviewdb->query($query);
      $list = array();
      $list['default'] = 'Select';
      if($runQ->num_rows() > 0)
      {
        foreach($runQ->result_array() as $row)
        {
          $tableName = $row[$columnName];
          $list[$tableName] = $tableName;
        }
      }
      return $list;
    }

    public function getAllRecords($tableName,$columnListA)
    {
      $this->dataviewdb->select($columnListA);
      $query = $this->dataviewdb->get($tableName);
      return $query;
    }

    public function getRecordsLimit($tableName,$columnListA,$offset,$limit)
    {
      $this->dataviewdb->select($columnListA);
      $this->dataviewdb->from($tableName);
      $this->dataviewdb->limit($limit,$offset);
      $query = $this->dataviewdb->get();
      return $query;
    }

    public function getAllRecordsWithError($tableName,$columnListA)
    {
      $this->dataviewdb->select($columnListA);
      $this->dataviewdb->where('Errors !=','NULL');
      $this->dataviewdb->where('Errors !=',"");
      $query = $this->dataviewdb->get($tableName);
      return $query;
    }

    public function getRecordsWithErrorLimit($tableName,$columnListA,$offset,$limit)
    {
      $this->dataviewdb->select($columnListA);
      $this->dataviewdb->from($tableName);
      $this->dataviewdb->where('Errors !=','NULL');
      $this->dataviewdb->where('Errors !=',"");
      $this->dataviewdb->limit($limit,$offset);
      $query = $this->dataviewdb->get();
      return $query;
    }

    public function getErrors($tableName)
    {
      $q1 = $this->dataviewdb->query("SELECT Errors,count(*) as ErrorCount FROM ".$tableName." WHERE Errors <> '' AND Errors IS NOT NULL GROUP BY Errors");

      return $q1;
    }

    public function ifTableExist($tableName)
    {
      if($this->dataviewdb->table_exists($tableName))
      {
        $exist = TRUE;
      }
      else
      {
        $exist = FALSE;
      }
      return $exist;
    }

}
